<template>
    <footer class="w-footer">
        <div class="w-footer__info">
            <p class="c-latin-charm">{{ $t('copyright') }}</p>
            <p class="c-latin-charm">{{ $t('copyrightYear', {  year: currentYear }) }}</p>
        </div>
        <div class="w-footer__logos">
            <img src="@/assets/icons/visa_1.jpg" alt="Visa Card" />
            <img src="@/assets/icons/master_card.jpg" alt="Master Card" />
            <img src="@/assets/icons/maestro.png" alt="Maestro" />
            <img src="@/assets/icons/processing.jpg" alt="Processing" />
        </div>
    </footer>
</template>
  
<script>
import {computed} from "vue";

export default {
name: 'FooterWidgets',

setup() {
    const currentYear = computed(() => {
        return new Date().getFullYear();
    });

    return {
        currentYear
    };
}
}
</script>
  
<style lang="scss" scoped>
@import '@/scss/mixins/sflx.scss';

.w-footer {
    width: 100%;
    @include sflx($alitems: center);
    :not(:first-child) {
        margin-left: auto;
    }
}
.w-footer__info {
    p {
        margin: 0;
        opacity: 0.5;
    }
}
.w-footer__logos {
    :not(:first-child) {
        margin-left: 0.8rem;
    }
    img {
        cursor: pointer;
        
        &:hover {
            opacity: 0.7;
        }
    }
}
</style>